package cn.gtmap.estateplat.config.core.service.impl;

import cn.gtmap.estateplat.config.core.mapper.config.BdcJsydzjdsyqMapper;
import cn.gtmap.estateplat.config.core.service.BdcJsydzjdsyqService;
import cn.gtmap.estateplat.core.support.mybatis.mapper.EntityMapper;
import cn.gtmap.estateplat.core.support.mybatis.mapper.Example;
import cn.gtmap.estateplat.model.server.core.BdcJsydzjdsyq;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author <a href="mailto:liujie@gtmap.cn">liujie</a>
 * @version 2019/6/21
 * @description
 */
@Service
public class BdcJsydzjdsyqServiceImpl implements BdcJsydzjdsyqService {
    @Autowired
    private EntityMapper entityMapper;
    @Autowired
    private BdcJsydzjdsyqMapper bdcJsydzjdsyqMapper;

    @Override
    public List<BdcJsydzjdsyq> getBdcJsydzjdsyqList(String proid) {
        List<BdcJsydzjdsyq> bdcJsydzjdsyqList = null;
        if(StringUtils.isNotBlank(proid)) {
            Example example = new Example(BdcJsydzjdsyq.class);
            example.createCriteria().andEqualTo("proid", proid);
            bdcJsydzjdsyqList = entityMapper.selectByExample(example);
        }
        return bdcJsydzjdsyqList;
    }

    @Override
    @Transactional
    public void updateBdcJsydzjdsyqRedundantField(BdcJsydzjdsyq bdcJsydzjdsyq) {
        if(bdcJsydzjdsyq != null&&StringUtils.isNotBlank(bdcJsydzjdsyq.getQlid())) {
            bdcJsydzjdsyqMapper.updateBdcJsydzjdsyqRedundantField(bdcJsydzjdsyq);
        }
    }
}
